// MTYPES.H
// Header file describing commonly used types.
// Copyright (c) 2002 - 2005, Carson F. Ball
// Originally from the project Mailer.
// 09/18/2002 -

#ifndef __MTYPES__
#define __MTYPES__

// Define some values to save typing.
#define SCHAR    static   char   // The definition of a static char.
#define UINT8    unsigned char   // The definition of an 8-bit integer.
#define UINT16   unsigned short  // The definition of a 16-bit integer.
#define UINT32   unsigned int    // The definition of a 32-bit integer.

#ifdef __WIN32__
#define INT64    __int64        // The Windows definition of a 64-bit integer.
#elif  __linux__
#define INT64    long long      // The *ix definition of a 64-bit integer.
#endif

// Structures used in the program.

// The structure to hold a field name and value pair.
struct FIELDS {
   char* Field;       // The field name for the information.
   char* Value;       // The value that the field contains.
};

// The structure to hold the configuration information.
struct CONF {
   char**  Valid;     // The list of servers that can run this program.
   char*   ToAddr;    // The e-mail address to send the data to.
   char*   Domain;    // The domain name of the site.
   char*   Subject;   // The subject for the e-mail.
   char*   Link;      // The link to send the user to from the results page.
   char*   Desc;      // The description of the linked page.
   char*   Title;     // The title for the receipt page.
   UINT32  Port;      // The port to telnet to.
   char*   IP;        // The IP address to telnet to.
   UINT8   NumValid;  // The number of valid server addresses.
};

#endif
