// SOCK.H
// Header file for SOCK.CPP.
// Copyright (c) 2000 - 2005, Carson F. Ball
// Originally from the project Mailer.
// 12/05/2000 -


#ifndef __SOCK__
#define __SOCK__

#ifdef __WIN32__
#include <winsock.h>
#elif __linux
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/socket.h>
#include <unistd.h>
#endif

#include "mtypes.h"

#define BUFLEN 1024

class CONNECT {
   public:
      UINT8         Status;

                    CONNECT   ();
                    CONNECT   (const char*, UINT16);
                   ~CONNECT   ();

      void          MailInfo  (FIELDS&, CONF, UINT32, UINT32);
      void          Send      (const char*,   UINT32 Size = 0);
      void          Recv      (void);
      const char*   GetBuffer (void);

   private:
      hostent*     Host;
      int          Sock;
      char         Buffer [BUFLEN];
      sockaddr_in  Server;
};

#endif
